Copyright: Copyright © 1997 RealSoft Development


Autogrid property

See also

Applies to

TrsFormGrow

Declaration

property Autogrid : boolean

Description

When the Autogrid property is set to true, all grid components on the form will automatically resize their columns as well as their borders.  The default is set to true.


Autogrow property

See also

Applies to

TrsFormGrow

Declaration

property Autogrow : boolean

Description

When the Autogrow property is set to true, the components on the form will "grow" whenever the form size changes.

The default is set to true.


Autoinit property

Applies to

TrsFormGrow

Declaration

property Autoinit : boolean

Description

When the Autoinit property is set to true, the rsFormGrow will accept the initial size of the form when the program runs as the "base size".  All "Growing" is proportional to this base size.  The default is set to true.


Grow method

See also

Applies to

TrsFormGrow

Declaration

procedure Grow;

Description

The Grow method moves and sizes all components on the form proportionally to the forms size.  The ratio is determined when the init method is called.   You should only need to call this method if AutoGrow is false.


Growtype property

Applies to

TrsFormGrow

Declaration

property Growtype : TGrowtype;

Description

The Growtype property determines how components should "grow".  You can limit growth to horizontal, vertical, or both. The default value is both.


Init method

See also

Applies to

TrsFormGrow

Declaration

procedure Init;

Description

The Init method initializes the rsFormGrow component, and stored the default positions of all components, and grid columns if autogrid is set to true.  You only need to call this method if autoinit is set to false.


Methods

Create

Destroy

Init

Grow


Registering the trial version

If you are evaluating a trial edition of this product,

you may register on Compuserve, or the internet.

Source code for components is always included.

Product: rsFormGrow

Price (US): $25.00

CIS Reg: 12426


See also

Autogrid property


See also

TagExclMove property

TagExclSize property


See also

TagExclBoth property

TagExclSize property


See also

TagExclBoth property

TagExclMove property


See also

Autogrow property


See also

Grow method


See also

Init method


TGrowtype

TGrowType = ( gtHorz, gtVert, gtBoth );


TagExclBoth
TagExclBoth property

See also

Applies to

TrsFormGrow

Declaration

property TagExclBoth : smallint;

Description

You can optionally change this value to set a "tag" for excluding certain components from growing.

You would place the same value in the component's tag property.


TagExclMove
TagExclMove property

See also

Applies to

TrsFormGrow

Declaration

property TagExclMove : smallint;

Description

You can optionally change this value to set a "tag" for excluding certain components from growing.

You would place the same value in the component's tag property.


TagExclSize
TagExclSize property

See also

Applies to

TrsFormGrow

Declaration

property TagExclSize : smallint;

Description

You can optionally change this value to set a "tag" for excluding certain components from growing.

You would place the same value in the component's tag property.


TrsFormGrow Component

Properties	Methods

Unit

rsFormg

Description

The TrsFormGrow is a component designed to automatically resize components as the size of your form changes due to screen resolution or maximizing.  Unlike using form scaling or scaleby methods, the rsFormGrow preserves fonts and other attributes that would normally produce unappealing results.  If the AutoInit property is set to true, whatever size the form and components are when the program is first run will be stored as the "base sizes".  To initialize manually, call the Init method.  If the AutoGrow property is true, your components will resize whenever the form size changes.  To grow manually, call the Grow method.  To resize grid columns as well, such as DBGrids or stringgrids, set the AutoGrid property to true.

To control how all components should "Grow", modify the GrowType property.  To exclude specific components from "Growing", change the value of the TagExclSize, TagExclMove, or TagExclBoth properties, and then set the Tag properties of the desired components to the same number.

Registering the trial version

Copyright 1997 RealSoft Development

Support: www.realsoftdev.com


Properties

Autogrid

Autogrow

Autoinit

Growtype

TagExclBoth

TagExclMove

TagExclSize